# QSslSocket Class Reference

### [com.trolltech.qt.network package]

Inherits QTcpSocket.

### Constructor

- void QSslSocket(QObject parent)

### Constructor Properties

- prototype: The QSslSocket prototype object
- void addDefaultCaCertificate(QSslCertificate certificate)
- void addDefaultCaCertificates(List certificates)
- List defaultCaCertificates()
- List defaultCiphers()
- void setDefaultCaCertificates(List certificates)
- void setDefaultCiphers(List ciphers)
- List supportedCiphers()
- bool supportsSsl()
- List systemCaCertificates()
- UnencryptedMode
- SslClientMode
- SslServerMode
- SslMode( value )
- VerifyNone
- QueryPeer
- VerifyPeer
- AutoVerifyPeer
- PeerVerifyMode( value )

### Prototype Object Properties

The QSslSocket prototype object inherits properties from the QTcpSocket prototype object and also has the following properties.

- void addCaCertificate(QSslCertificate certificate)
- void addCaCertificates(List certificates)
- List caCertificates()
- List ciphers()
- void connectToHostEncrypted(String hostName, unsigned short port, OpenMode mode)
- qint64 encryptedBytesAvailable()
- qint64 encryptedBytesToWrite()
- void ignoreSslErrors(List errors)
- bool isEncrypted()
- QSslCertificate localCertificate()
- SslMode mode()
- QSslCertificate peerCertificate()
- List peerCertificateChain()
- int peerVerifyDepth()
- PeerVerifyMode peerVerifyMode()
- String peerVerifyName()
- QSslKey privateKey()
- SslProtocol protocol()
- QSslCipher sessionCipher()
- void setCaCertificates(List certificates)
- void setCiphers(List ciphers)
- void setLocalCertificate(QSslCertificate certificate)
- void setPeerVerifyDepth(int depth)
- void setPeerVerifyMode(PeerVerifyMode mode)
- void setPeerVerifyName(String hostName)
- void setPrivateKey(QSslKey key)
- void setProtocol(SslProtocol protocol)
- void setSslConfiguration(QSslConfiguration config)
- QSslConfiguration sslConfiguration()
- List sslErrors()
- bool waitForEncrypted(int msecs)

### Instance Properties

QSslSocket objects have no special properties beyond those inherited from the QSslSocket prototype object.